<!DOCTYPE xsl:stylesheet [
<!ENTITY ldquo '&#x201C;' >
<!ENTITY rdquo '&#x201D;' >
<!ENTITY nbsp  '&#xA0;' >
]>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
                extension-element-prefixes="xt"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
exclude-result-prefixes="xhtml">
<xsl:preserve-space elements="description"/>
<xsl:param name="component"/>
<xsl:variable name="number" select="count(topic)"/>

<xsl:template match="/">
<html>
<head>
<link rel="stylesheet" type="text/css" href="../com.ibm.commerce.base.doc/help.css"/>
<link rel="stylesheet" type="text/css" href="../com.ibm.commerce.base.doc/commerce_help.css"/>
<link rel="stylesheet" type="text/css" href="../com.ibm.commerce.base.doc/print.css"/>
</head>
<body>
<h1 class="first"><xsl:value-of select="$component"/></h1>
<ul>
<xsl:for-each select="//topic[topic]">
<li><a href="#{@label}"><xsl:value-of select="@label"/></a><ul>
<xsl:for-each select="child::topic">
<li><a href="#{@label}"><xsl:value-of select="@label"/></a><xsl:apply-templates/></li>
</xsl:for-each>
</ul></li>
</xsl:for-each>
</ul>
            <xsl:apply-templates/>
 </body>
 </html>
 </xsl:template>

<xsl:template match="toc">
<xsl:for-each select="//topic">

        <!--       <xsl:copy > 
                    <xsl:apply-templates select = "document(@href)" /> 
               </xsl:copy> -->

	<!--<xsl:copy-of select="document(@href)//xhtml:body/child::node()"/>-->
	
	<xsl:apply-templates select="document(@href)//xhtml:body/child::node()"/>
</xsl:for-each>	
</xsl:template>

<!-- Match all heading levels  -->
<xsl:template match="xhtml:h1">
<h1 id="{normalize-space(text())}"><xsl:apply-templates/></h1>
</xsl:template>

<xsl:template match="xhtml:h2">
<h2><xsl:apply-templates/></h2>
</xsl:template>

<xsl:template match="xhtml:h3">
<h3><xsl:apply-templates/></h3>
</xsl:template>

<xsl:template match="xhtml:h4">
<h4><xsl:apply-templates/></h4>
</xsl:template>

<xsl:template match="xhtml:h5">
<h5><xsl:apply-templates/></h5>
</xsl:template>

<xsl:template match="xhtml:h6">
<h6><xsl:apply-templates/></h6>
</xsl:template>

<!-- Match paragraphs  -->
<xsl:template match="xhtml:p">
<p><xsl:apply-templates/></p>
</xsl:template>

<!-- Match lists -->
<xsl:template match="xhtml:dd">
<dd><xsl:apply-templates/></dd>
</xsl:template>

<xsl:template match="xhtml:dt">
<dt><xsl:apply-templates/></dt>
</xsl:template>


<xsl:template match="xhtml:dl">
<dl><xsl:apply-templates/></dl>
</xsl:template>


<xsl:template match="xhtml:ul">
<ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="xhtml:ol">
<ol><xsl:apply-templates/></ol>
</xsl:template>

<xsl:template match="xhtml:li">
<li><xsl:apply-templates/></li>
</xsl:template>

<!-- Match formatting  -->
<xsl:template match="xhtml:i | xhtml:em">
<i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="xhtml:b">
<b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="xhtml:samp">
<samp><xsl:apply-templates/></samp>
</xsl:template>

<xsl:template match="xhtml:var">
<var><xsl:apply-templates/></var>
</xsl:template>

<xsl:template match="xhtml:cite">
<cite><xsl:apply-templates/></cite>
</xsl:template>

<xsl:template match="xhtml:pre">
<pre><xsl:apply-templates/></pre>
</xsl:template>

<!-- Match images  -->
<xsl:template match="xhtml:img">
<xsl:variable name="plugin">com.ibm.commerce.developer.doc</xsl:variable>
<img><xsl:attribute name="src"><xsl:value-of select="$plugin"/>/<xsl:value-of select="@src"/></xsl:attribute></img>
<xsl:if test="@alt and not(contains(@alt, 'goes here'))"><p class="editor"><b>Note to Editor:</b> The alt text for this image is: <xsl:value-of select="@alt"/></p></xsl:if>
</xsl:template>

<!-- Match area  -->
<xsl:template match="xhtml:area">
<p class="editor"><b>Note to Editor:</b> This image contains clickable hot spots.</p>
</xsl:template>


<!-- Match anchors  -->
<xsl:template match="xhtml:a">
<span style="color:blue"><xsl:apply-templates/></span>
</xsl:template>

<!-- Match breaks  -->
<xsl:template match="xhtml:br">
<br/>
</xsl:template>

<!-- Match divisions  -->
<xsl:template match="xhtml:div">
<div><xsl:apply-templates/></div>
</xsl:template>


<!-- Match span  -->
<xsl:template match="xhtml:span">
<span><xsl:apply-templates/></span>
</xsl:template>

<!-- Match tables  -->
<xsl:template match="xhtml:table">
<table><xsl:apply-templates/></table>
</xsl:template>

<xsl:template match="xhtml:tr">
<tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="xhtml:td">
<td><xsl:apply-templates/></td>
</xsl:template>

<xsl:template match="xhtml:th">
<th><xsl:apply-templates/></th>
</xsl:template>

</xsl:stylesheet>