<!DOCTYPE xsl:stylesheet [
<!ENTITY ldquo '&#x201C;' >
<!ENTITY rdquo '&#x201D;' >
<!ENTITY nbsp  '&#xA0;' >
]>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
                extension-element-prefixes="xt"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
exclude-result-prefixes="xhtml">
<xsl:preserve-space elements="description"/>
<xsl:param name="component"/>

<xsl:template match="/">
<html>
<head>
<link rel="stylesheet" type="text/css" href="../../com.ibm.commerce.base.doc/help.css"/>
<link rel="stylesheet" type="text/css" href="../../com.ibm.commerce.base.doc/commerce_help.css"/>
<link rel="stylesheet" type="text/css" href="../../com.ibm.commerce.base.doc/print.css"/>
</head>
<body>
<!--<h1 class="first">Search engine optimization</h1>
<ul>
<xsl:for-each select="//topic[topic]">
<li><a href="#{@label}"><xsl:value-of select="@label"/></a><ul>
<xsl:for-each select="child::topic">
<li><a href="#{@label}"><xsl:value-of select="@label"/></a><xsl:apply-templates/></li>
</xsl:for-each>
</ul></li>
</xsl:for-each>
</ul>-->
            <xsl:apply-templates/>
 </body>
 </html>
 </xsl:template>

<xsl:template match="toc">
<xsl:for-each select="//topic">

        <!--       <xsl:copy > 
                    <xsl:apply-templates select = "document(@href)" /> 
               </xsl:copy> -->

	<!--<xsl:copy-of select="document(@href)//body/child::node()"/>-->
	
	<xsl:apply-templates select="document(@href)//body/child::node()"/>
</xsl:for-each>	
</xsl:template>

<!-- Match all heading levels  -->
<xsl:template match="h1">
<h1 id="{.}"><xsl:apply-templates/></h1>
</xsl:template>

<xsl:template match="h2">
<h2><xsl:apply-templates/></h2>
</xsl:template>

<xsl:template match="h3">
<h3><xsl:apply-templates/></h3>
</xsl:template>

<xsl:template match="h4">
<h4><xsl:apply-templates/></h4>
</xsl:template>

<xsl:template match="h5">
<h5><xsl:apply-templates/></h5>
</xsl:template>

<xsl:template match="h6">
<h6><xsl:apply-templates/></h6>
</xsl:template>

<!-- Match paragraphs  -->
<xsl:template match="p">
<xsl:choose>
<xsl:when test="@class='copyright'"/>
<xsl:when test="@class='feedback'"/>
<xsl:when test="@class='related'"/>
<xsl:otherwise>
<p><xsl:apply-templates/></p>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<!-- Match lists -->
<xsl:template match="dd">
<dd><xsl:apply-templates/></dd>
</xsl:template>

<xsl:template match="dt">
<dt><xsl:apply-templates/></dt>
</xsl:template>


<xsl:template match="dl">
<dl><xsl:apply-templates/></dl>
</xsl:template>


<xsl:template match="ul">
<xsl:choose>
<xsl:when test="@class = 'related'"/>
<xsl:otherwise>
<ul><xsl:apply-templates/></ul>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="ol">
<ol><xsl:apply-templates/></ol>
</xsl:template>

<xsl:template match="li">
<li><xsl:apply-templates/></li>
</xsl:template>

<!-- Match formatting  -->
<xsl:template match="i | em">
<i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="b">
<b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="samp">
<samp><xsl:apply-templates/></samp>
</xsl:template>

<xsl:template match="var">
<var><xsl:apply-templates/></var>
</xsl:template>

<xsl:template match="cite">
<cite><xsl:apply-templates/></cite>
</xsl:template>

<xsl:template match="pre">
<pre><xsl:apply-templates/></pre>
</xsl:template>

<!-- Match images  -->
<xsl:template match="img">
<img src="{@src}"/>
<!--<xsl:if test="@alt and not(contains(@alt, 'goes here')) and not(contains(@src , 'ng'))"><p class="editor"><b>Note to Editor:</b> The alt text for this image is: <xsl:value-of select="@alt"/></p></xsl:if>-->
</xsl:template>

<!-- Match area  -->
<xsl:template match="area">
<p class="editor"><b>Note to Editor:</b> This image contains clickable hot spots.</p>
</xsl:template>


<!-- Match anchors  -->
<xsl:template match="a">
<span style="background-color:#CCCC99;"><xsl:apply-templates/></span>
</xsl:template>

<!-- Match breaks  -->
<xsl:template match="br">
<br/>
</xsl:template>

<!-- Match divisions  -->
<xsl:template match="div">
<div><xsl:apply-templates/></div>
</xsl:template>


<!-- Match span  -->
<xsl:template match="span">
<xsl:if test="@span != 'fp_button'">
<span><xsl:apply-templates/></span>
</xsl:if>
</xsl:template>

<!-- Match tables  -->
<xsl:template match="table">
<table border="1"><xsl:apply-templates/></table>
</xsl:template>

<xsl:template match="tr">
<tr><xsl:if test="@rowspan">
<xsl:attribute name="rowspan">
<xsl:value-of select="@rowspan"/>
</xsl:attribute>
</xsl:if>
<xsl:if test="@colspan">
<xsl:attribute name="colspan">
<xsl:value-of select="@colspan"/>
</xsl:attribute>
</xsl:if>
<xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="td">
<td>
<xsl:if test="@rowspan">
<xsl:attribute name="rowspan">
<xsl:value-of select="@rowspan"/>
</xsl:attribute>
</xsl:if><xsl:if test="@colspan">
<xsl:attribute name="colspan">
<xsl:value-of select="@colspan"/>
</xsl:attribute>
</xsl:if><xsl:if test="not(text()) and not(child::node())">
    <xsl:text>&nbsp;</xsl:text>
    </xsl:if>
<xsl:apply-templates/></td>
</xsl:template>

<xsl:template match="th">
<th>
<xsl:if test="@rowspan">
<xsl:attribute name="rowspan">
<xsl:value-of select="@rowspan"/>
</xsl:attribute>
</xsl:if><xsl:if test="@colspan">
<xsl:attribute name="colspan">
<xsl:value-of select="@colspan"/>
</xsl:attribute>
</xsl:if><xsl:if test="not(text()) and not(child::node())">
    <xsl:text> </xsl:text>
    </xsl:if>
<xsl:apply-templates/></th>
</xsl:template>

</xsl:stylesheet>