<!DOCTYPE xsl:stylesheet [
<!ENTITY ldquo '&#x201C;' >
<!ENTITY rdquo '&#x201D;' >
<!ENTITY nbsp  '&#xA0;' >
]>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
<body style="font-family: Arial;">
<ul>
   <xsl:apply-templates/>
</ul>
 </body>
 </xsl:template>
 
<xsl:template match="topic">
 <xsl:choose>
           <xsl:when test="not(parent::topic)"><li><a>
           <xsl:if test="@href"><xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute></xsl:if>
           <xsl:value-of select="@label"/></a><ul><xsl:apply-templates/></ul></li>
</xsl:when>
           <xsl:when test="parent::topic"><li><xsl:if test="@href"><a href="{@href}"><xsl:value-of select="@label"/></a></xsl:if>
           <xsl:if test="not(@href)"><xsl:value-of select="@label"/></xsl:if><ul><xsl:apply-templates/></ul></li></xsl:when>
           </xsl:choose>
</xsl:template>




<xsl:template match="link" name="link">
<xsl:variable name="file" select="@toc"/> 
<xsl:variable name="plugin" select="substring-before(substring-after(@toc , '../'), '.doc')"/> 

<xsl:for-each select="document($file)//toc/topic">
<xsl:choose>

<xsl:when test="self::topic[topic]">
<li><a><xsl:value-of select="$plugin"/><xsl:if test="@href">
<xsl:attribute name="href">
<xsl:choose>
           <xsl:when test="contains(topic/@href , 'com.ibm.')">
           <xsl:value-of select="concat(substring-before($file , '.doc/'), '.doc/', @href)"/>
           </xsl:when>
           <xsl:when test="contains(toc/@topic , 'com.ibm.')">
           <xsl:value-of select="concat(substring-before($file , '.doc/'), '.doc/', @href)"/>
           </xsl:when>
                      <xsl:otherwise><xsl:value-of select="@href"/></xsl:otherwise>
</xsl:choose>
</xsl:attribute>
</xsl:if>
<xsl:value-of select="@label"/></a>
<xsl:if test="not(@href)"><xsl:value-of select="@label"/></xsl:if>
<ul>
<xsl:for-each select="child::topic">
 <xsl:choose>
           <xsl:when test="not(parent::topic)"><li><a><xsl:if test="@href"><xsl:attribute name="href">
           <xsl:choose>
           <xsl:when test="contains(topic/@href , 'com.ibm.')">
           <xsl:value-of select="concat(substring-before($file , '.doc/'), '.doc/', @href)"/>
           </xsl:when>
           <xsl:otherwise><xsl:value-of select="@href"/></xsl:otherwise>
           </xsl:choose>
           </xsl:attribute></xsl:if>
           <xsl:value-of select="@label"/></a></li>
</xsl:when>
<xsl:when test="parent::topic"><li>

<xsl:if test="@href"><a>
<xsl:if test="@href">
<xsl:attribute name="href">
<xsl:choose>
           <xsl:when test="contains(topic/@href , 'com.ibm.')">
           <xsl:value-of select="concat(substring-before($file , '.doc/'), '.doc/', @href)"/>
           </xsl:when>
           <xsl:otherwise><xsl:value-of select="@href"/></xsl:otherwise>
           </xsl:choose>
</xsl:attribute>
</xsl:if><xsl:value-of select="@label"/></a></xsl:if>
           <xsl:if test="not(@href)"><xsl:value-of select="@label"/></xsl:if>
<!-- Add nesting here -->
<ul>
<xsl:for-each select="child::topic">
	  <li><a><xsl:if test="@href"><xsl:attribute name="href"><xsl:choose>
           <xsl:when test="contains(topic/@href , 'com.ibm.')">
           <xsl:value-of select="concat(substring-before($file , '.doc/'), '.doc/', @href)"/>
           </xsl:when>
           <xsl:otherwise><xsl:value-of select="@href"/></xsl:otherwise>
           </xsl:choose></xsl:attribute></xsl:if>
          <xsl:value-of select="@label"/></a>
<!-- Add here  -->

<ul>
<xsl:for-each select="child::topic">
	  <li><a><xsl:if test="@href"><xsl:attribute name="href">
	  
	  
	  <xsl:choose>
           <xsl:when test="contains(topic/@href , 'com.ibm.')">
           <xsl:value-of select="concat(substring-before($file , '.doc/'), '.doc/', @href)"/>
           </xsl:when>
           <xsl:otherwise><xsl:value-of select="@href"/></xsl:otherwise>
           </xsl:choose></xsl:attribute></xsl:if>
          <xsl:value-of select="@label"/></a></li>                   
</xsl:for-each>
</ul>

<!-- End here  -->
</li>                   
</xsl:for-each>
</ul>    
<!-- End nesting here  -->
           </li>   
           </xsl:when>
           </xsl:choose>
</xsl:for-each>
</ul></li>
</xsl:when>
</xsl:choose>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>